Update one lot number

patch

/fscmRestApi/resources/11.13.18.05/inventoryStagedTransactions/{TransactionInterfaceId}/child/lots/{lotsUniqID}

Request

Path Parameters
  • The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
  • This is the hash key of the attributes which make up the composite key--- TransactionInterfaceId and LotNumber ---for the Lots resource and used to uniquely identify an instance of Lots. The client should not generate the hash key value. Instead, the client should query on the Lots collection resource with a filter on the primary key values in order to navigate to a specific instance of Lots.

    For example: lots?q=TransactionInterfaceId=<value1>;LotNumber=<value2>
Header Parameters
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Show Source
Nested Schema : lotAttributeDFFs
Type: array
Show Source
Nested Schema : Lot Serials
Type: array
Title: Lot Serials
The lot serials in staged inventory transactions resource gets lot and serial details for inventory transactions when the item is under both lot and serial control. The details include lot number, serial number, and so on.
Show Source
Nested Schema : Serial Summaries
Type: array
Title: Serial Summaries
The item quantities for organization, subinventory, subinventory and locator, project, and project and task, and the inbound quantities for an organization for items that are enabled for serial control.
Show Source
Nested Schema : lotStandardDFFs
Type: array
Show Source
Nested Schema : schema
Type: object
Show Source
Nested Schema : schema
Type: object
Show Source
Nested Schema : serialAttributeDFFs
Type: array
Show Source
Nested Schema : serialStandardDFFs
Type: array
Show Source
Nested Schema : schema
Type: object
Show Source
Nested Schema : inventoryStagedTransactions-lots-lotSerials-serialStandardDFFs-item-patch-request
Type: object
Show Source
Nested Schema : inventoryStagedTransactions-lots-LotSerialSummaries-item-patch-request
Type: object
Show Source
Nested Schema : inventoryStagedTransactions-lots-lotStandardDFFs-item-patch-request
Type: object
Show Source
Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Headers
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Body ()
Root Schema : inventoryStagedTransactions-lots-item-response
Type: object
Show Source
Nested Schema : lotAttributeDFFs
Type: array
Show Source
Nested Schema : Lot Serials
Type: array
Title: Lot Serials
The lot serials in staged inventory transactions resource gets lot and serial details for inventory transactions when the item is under both lot and serial control. The details include lot number, serial number, and so on.
Show Source
Nested Schema : Serial Summaries
Type: array
Title: Serial Summaries
The item quantities for organization, subinventory, subinventory and locator, project, and project and task, and the inbound quantities for an organization for items that are enabled for serial control.
Show Source
Nested Schema : lotStandardDFFs
Type: array
Show Source
Nested Schema : inventoryStagedTransactions-lots-lotAttributeDFFs-item-response
Type: object
Show Source
Nested Schema : inventoryStagedTransactions-lots-lotSerials-item-response
Type: object
Show Source
Nested Schema : serialAttributeDFFs
Type: array
Show Source
Nested Schema : serialStandardDFFs
Type: array
Show Source
Nested Schema : inventoryStagedTransactions-lots-lotSerials-serialAttributeDFFs-item-response
Type: object
Show Source
Nested Schema : inventoryStagedTransactions-lots-lotSerials-serialStandardDFFs-item-response
Type: object
Show Source
Nested Schema : inventoryStagedTransactions-lots-LotSerialSummaries-item-response
Type: object
Show Source
Nested Schema : inventoryStagedTransactions-lots-lotStandardDFFs-item-response
Type: object
Show Source
Back to Top

Examples

This example describes how to update one lot number.

Example cURL Command

Use the following cURL command to submit a request on the REST resource.

curl -X PATCH -u "username:password" -H "Content-Type: application/vnd.oracle.adf.resourceitem+json" -d 'request payload'  "https://servername/fscmRestApi/resources/version/inventoryStagedTransactions/TransactionInterfaceId/child/lots/lotsUniqID"

Example Request Body

The following example includes the contents of the request body in JSON format. You replace the request payload in the cURL command with the contents of the Example Request Body. The request payload specifies attribute values that the command will use in the record that it updates.

{
    "PrimaryQuantity":"5"
}

Example Response Body

The following example includes the contents of the response body in JSON format:

{
   "TransactionInterfaceId": 300100152718324,
    "LotNumber": "VC105-02",
    "TransactionQuantity": 5,
    "PrimaryQuantity": 5,
...
}
Back to Top